Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010366Dwarf FortressDwarf Mode -- Petspublic2017-11-26 10:182018-02-07 15:19
ReporterFantasticDorf 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.44.02 
Target VersionFixed in VersionNext Version 
Summary0010366: Dwarves have sentient relationships with other migrant pets
DescriptionIn the relationship screen, dwarves can list other named migrant pets as acquaintances (using sentient terms, not trainer or pet terms), abstract to the migrant owner of the pet who recognizes their pet normally.

The pet & owner in question arrived during the first mandatory migratory wave.
Steps To ReproduceNavigate the provided save fortress for the dwarves listed who are familiar with the migrant pet on-site.

- Led Inaloddom "Lulledcloistered" (Fisherdwarf)
- Ustuth Lolokenshen "Granitechanted" (Woodworker)
- Tosed Koldodok "Wheelclasped" (Peasant)

In relation to "Tekkud Kivishestun, Gosling" who is owned by the migrant "Ber Uzoldim" (Lanterncrests)

To reproduce, wait for migrant pets & allow them time to idle with other dwarves
Additional InformationIt is uncertain who initiated the relationship, be it dwarves having unmutual relationships with animals or animals buggily starting to talk to dwarves though reports of animals talking 0010356 &/or having sentient needs 0009567 should be looked out for.

Image attached of the fisherdwarf's relationship screen: https://puu.sh/ytXJ1/6527debe51.png [^]

TagsNo tags attached.
Attached Files

- Relationships
related to 0007890resolvedToady One Dwarves form grudges with animals 
related to 0010356resolvedToady One Animals reveal presence of artifacts to outsiders 

-  Notes
(0037030)
FantasticDorf (reporter)
2017-11-26 10:31
edited on: 2017-11-27 08:28

Save available here: http://dffd.bay12games.com/file.php?id=13231 [^]

A grudge against a war-dog was also exhibited in issue report 0007890 for version 0.40.06 that also caused the dwarf unhappy thoughts from "talking" to it from mantis user @Troas note in the link beneath.

http://www.bay12games.com/dwarves/mantisbt/view.php?id=7890#c29337 [^]

____________________

A submission of evidence from the public domain in relation to animals disclosing the locations of artifacts by interacting with visitors in a unintentional manner exhibited in 0010356 in my note, detailing a duck disclosing secrets & upon being set to be slaughtered assuming a dwarven name individually and continuing to disclose artifacts until it is dead.

DF reddit thread by @Mastrcapn & supplied image gallery captured by the user in the two links below.

https://www.reddit.com/r/dwarffortress/comments/7ft6hg/if_it_looks_like_a_duck_talks_like_a_duck/ [^]

https://imgur.com/a/4b2pz [^]

(0037067)
Detros (manager)
2017-11-28 10:59

Leave those animal traitors rather for 0010356, "Animals reveal presence of artifacts to outsiders", please. But yes, there are now multiple various reports of animals gaining non-animal capabilities and all of them could possible have the same reason.
(0037080)
FantasticDorf (reporter)
2017-11-28 15:30
edited on: 2018-01-11 02:22

EDIT - Semi sapients were affected also by issue of unnatural behaviours 0006666 as essentially they share animalistic states as far back as 40.01 when they stopped becoming hostile when present on enemy/different civ sites including non-hostile minotaurs & tame trolls.

By the introduction of version 43.x the behaviors got progressively worse and started affecting the wild population of semi-sapients/intelligents in 0010031

____________________

In the bay12 forums link (bottom) I was posting on how a troglodyte that i had captured was wallowing in sorrow when attached to a restraint, and some other findings about unintentional personalities surrounding provoking the global cavern troglodyte population in this note below & a save exhibiting them fleeing & expressing "overcome with terror!"

http://www.bay12games.com/dwarves/mantisbt/view.php?id=10059#c36022 [^]

Another user @Kneeknibble then mentioned that their giant mole was also exhibiting the same behaviour of wallowing in sorrow.

http://www.bay12games.com/dwarves/mantisbt/view.php?id=10059#c36022 [^]

_______________________________________________

Changelog bullet point on (to current date) version 0.44.04 on non-speaking entities like animals and explicitly not able to speak sentients was fixed by Toady. Photographic evidence further in the attached note in regards to talking beak dogs and another note in the same report with supplied save in regards to animalistic semi-sapients behaving with citizen intentional behaviour asking for identities.

(*) Stopped creatures from asking for identity when they shouldn't be able to speak

Link to forum announcement of new version - http://www.bay12forums.com/smf/index.php?topic=169077.0 [^]

Link to note with abnormal beak dog talking behaviour - http://www.bay12games.com/dwarves/mantisbt/view.php?id=10346#c36967 [^]


- Issue History
Date Modified Username Field Change
2017-11-26 10:18 FantasticDorf New Issue
2017-11-26 10:31 FantasticDorf Note Added: 0037030
2017-11-26 11:00 FantasticDorf Note Edited: 0037030 View Revisions
2017-11-26 15:15 Detros Relationship added related to 0007890
2017-11-26 16:24 Detros Assigned To => Detros
2017-11-26 16:24 Detros Status new => acknowledged
2017-11-27 02:57 FantasticDorf Note Edited: 0037030 View Revisions
2017-11-27 03:02 FantasticDorf Note Edited: 0037030 View Revisions
2017-11-27 08:28 FantasticDorf Note Edited: 0037030 View Revisions
2017-11-28 10:56 Detros Relationship added related to 0010356
2017-11-28 10:59 Detros Note Added: 0037067
2017-11-28 15:30 FantasticDorf Note Added: 0037080
2017-11-28 15:31 FantasticDorf Note Edited: 0037080 View Revisions
2017-11-30 07:42 FantasticDorf Note Edited: 0037080 View Revisions
2017-12-16 09:28 Huntthetroll Issue Monitored: Huntthetroll
2018-01-11 02:22 FantasticDorf Note Edited: 0037080 View Revisions
2018-02-07 15:19 Toady One Status acknowledged => resolved
2018-02-07 15:19 Toady One Fixed in Version => Next Version
2018-02-07 15:19 Toady One Resolution open => fixed
2018-02-07 15:19 Toady One Assigned To Detros => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker